## BraseroTrackImage

BraseroTrackImage

## Functions

BraseroTrackImage * | brasero_track_image_new ()
BraseroBurnResult | brasero_track_image_set_source ()
BraseroBurnResult | brasero_track_image_set_block_num ()
gchar * | brasero_track_image_get_source ()
gchar * | brasero_track_image_get_toc_source ()
BraseroImageFormat | brasero_track_image_get_format ()

## Types and Values

struct | BraseroTrackImage

## Object Hierarchy

        GObject
        ╰── BraseroTrack
            ╰── BraseroTrackImage
                ╰── BraseroTrackImageCfg

## Description

## Functions

### brasero_track_image_new ()

    BraseroTrackImage *
    brasero_track_image_new (void);

Creates a new BraseroTrackImage object.

This type of tracks is used to burn disc images.

#### Returns

a BraseroTrackImage object.

### brasero_track_image_set_source ()

    BraseroBurnResult
    brasero_track_image_set_source (BraseroTrackImage *track,
                                    const gchar *image,
                                    const gchar *toc,
                                    BraseroImageFormat format);

Sets the image source path (and its toc if need be) as well as its format.

#### Parameters

track | a BraseroTrackImage |
image | a gchar or NULL |
toc | a gchar or NULL |
format | a BraseroImageFormat |

#### Returns

a BraseroBurnResult. BRASERO_BURN_OK if it is successful.

### brasero_track_image_set_block_num ()

    BraseroBurnResult
    brasero_track_image_set_block_num (BraseroTrackImage *track,
                                       goffset blocks);

Sets the image size (in sectors).

#### Parameters

track | a BraseroTrackImage |
blocks | a goffset |

#### Returns

a BraseroBurnResult. BRASERO_BURN_OK if it is successful.

### brasero_track_image_get_source ()

    gchar *
    brasero_track_image_get_source (BraseroTrackImage *track,
                                    gboolean uri);

This function returns the path or the URI (if `uri` is TRUE) of the source image file.

#### Parameters

track | a BraseroTrackImage |
uri | a gboolean |

#### Returns

a gchar

### brasero_track_image_get_toc_source ()

    gchar *
    brasero_track_image_get_toc_source (BraseroTrackImage *track,
                                        gboolean uri);

This function returns the path or the URI (if `uri` is TRUE) of the source toc file.

#### Parameters

track | a BraseroTrackImage |
uri | a gboolean |

#### Returns

a gchar

### brasero_track_image_get_format ()

    BraseroImageFormat
    brasero_track_image_get_format (BraseroTrackImage *track);

This function returns the format of the source image.

#### Parameters

track | a BraseroTrackImage |

#### Returns

a BraseroImageFormat

## Types and Values

### struct BraseroTrackImage

    struct BraseroTrackImage;